Concourse version 6.0.0 upgrade error

Hello Team,

When we are trying to upgrade concourse to version 6.0.0 its giving below error.

        L Error: Action Failed get_task: Task accae7b5-af7d-4c5e-528d-b8181fde67ad result: Compiling package concourse: Compressing compiled package: Shelling out to tar: Running command: 'tar czf /var/vcap/data/tmp/bosh-platform-disk-TarballCompressor-CompressSpecificFilesInDir612291706 -C /var/vcap/data/packages/concourse/b57b501220dbababf27531d2a2a2a4071003e9ce .', stdout: '', stderr: '

gzip: stdout: No space left on device
': signal: broken pipe

But we have enough disk space.

bosh/0:/var/vcap/sys/log/director$ df -h
Filesystem Size Used Avail Use% Mounted on
devtmpfs 3.8G 0 3.8G 0% /dev
tmpfs 3.8G 0 3.8G 0% /dev/shm
tmpfs 3.8G 20M 3.8G 1% /run
tmpfs 5.0M 0 5.0M 0% /run/lock
tmpfs 3.8G 0 3.8G 0% /sys/fs/cgroup
/dev/nvme1n1p1 2.9G 1.5G 1.4G 53% /
/dev/nvme0n1p2 41G 1.2G 38G 4% /var/vcap/data
tmpfs 1.0M 52K 972K 6% /var/vcap/data/sys/run
/dev/nvme2n1p1 63G 106M 60G 1% /var/vcap/store

When we tried with version 6.1.0 with same disk space it succeeded.
Please let us know the reason of failure of version upgrade to 6.0.0.

Thanks,
Umesh Soni